// Doom to Delphi Total Conversion
// Author: Jim Valavanis
// E-Mail: jimmyvalavanis@yahoo.gr
// Site  : http://www.geocities.com/jimmyvalavanis/applications/delphidoom.html

unit doomstat;

interface

uses doomdef;

{
    doomstat.c
}

// Emacs style mode select   -*- C++ -*-  
//----------------------------------------------------------------------------- 
// 
// $Id:$ 
// 
// Copyright (C) 1993-1996 by id Software, Inc. 
// 
// This source is available for distribution and/or modification 
// only under the terms of the DOOM Source Code License as 
// published by id Software. All rights reserved. 
// 
// The source is distributed in the hope that it will be useful, 
// but WITHOUT ANY WARRANTY; without even the implied warranty of 
// FITNESS FOR A PARTICULAR PURPOSE. See the DOOM Source Code License 
// for more details. 
// 
// $Log:$ 
// 
// DESCRIPTION: 
//  Put all global tate variables here. 
// 
//-----------------------------------------------------------------------------

var
// Game Mode - identify IWAD as shareware, retail etc.
  gamemode: GameMode_t;
  gamemission: GameMission_t;

// Language.
  language: Language_t;

// Set if homebrew PWAD stuff has been added.
  modifiedgame : boolean;

implementation

initialization
  gamemode := indetermined;
  gamemission := doom;
  language := english;
  modifiedgame := false;

end.

